Bug 1553871 - [RFE] allow registrations to occur without blocking on task completion
Summary: [RFE] allow registrations to occur without blocking on task completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Registration
Version: 6.2.12
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Chris Duryee
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1353215 1490019
TreeView+ depends on / blocked
 
Reported: 2018-03-09 18:49 UTC by pm-sat@redhat.com
Modified: 2019-08-12 15:59 UTC (History)
23 users (show)

Fixed In Version: tfm-rubygem-katello-3.4.5.61-1,katello-installer-base-3.4.5.29-1,foreman-1.15.6.36-1
Doc Type: Enhancement
Doc Text:
Clone Of: 1514508
Environment:
Last Closed: 2018-04-13 13:32:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
[Verification] Screenshot1 Attached - passenger-requests processed in few seconds (22.93 KB, image/png)
2018-03-28 10:39 UTC, Jitendra Yejare
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1126 None None None 2018-04-13 13:33:08 UTC
Foreman Issue Tracker 21703 None None None 2018-03-09 18:50:08 UTC
Foreman Issue Tracker 21797 None None None 2018-03-09 18:50:08 UTC
Foreman Issue Tracker 22676 None None None 2018-03-22 18:22:01 UTC

Comment 5 Jitendra Yejare 2018-03-28 10:39:21 UTC
Created attachment 1414121 [details]
[Verification] Screenshot1 Attached - passenger-requests processed in few seconds

Verified!

@ Satellite 6.3.1 snap 1.0

Steps:
---------------

1. Set up a new satellite and configure it to have 24 passenger workers(That is 1.5 of 16 CPU cores on satellite as per document - https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/installation_guide/large_deployment_considerations).
2. Set up 15 clients to register to the Satellite in a loop, using subscription-manager register --force with an activation key.
3. on the satellite, 
# watch "passenger-status --show=requests | grep -e 'uri\|connected'".


Behavior:
---------------

is: Expected

Detail: 
1. The satellite in processing registration requests in very few seconds. Maximum 3 seconds.
2. There were no pending passenger requests for long time and every passenger request is processed and done.


Attaching foreman-passenger requests screenshot.

Comment 6 Jitendra Yejare 2018-03-28 10:41:19 UTC
So as per comment 5 may I mark this bug as Verified? If not, any additional or different steps you want me to execute to test this bug?

Comment 9 Jitendra Yejare 2018-04-02 06:29:36 UTC
As per comment 8, The steps and behavior both are correct and expected. Hence changing the bug status to Verified!

The comment 7 issue is out of scope of this bug.

Comment 11 errata-xmlrpc 2018-04-13 13:32:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1126


Note You need to log in before you can comment on or make changes to this bug.